Page 1 of 1

[SOLVED] PHP Fatal Error when installing Joomla 3.5 on PHP 7

Posted: Wed Mar 30, 2016 12:29 pm
by paulnecsoiu
Hello,

I have the following LAMP stack:
1. Ubuntu 16.04 Final Beta (on which I installed the fallowing default packages):
2. Apache 2.4.18
3. PHP 7.0.4

On Apache I enabled mod_proxy and mod_proxy_fcgi and then I enabled php7.0-fpm.conf.

Then I have tested the configuration with a info.php file and seems to work OK.

But when I try to install Joomla running http://localhost in Apache error.log I receive the fallowing error:

Code: Select all

 [proxy_fcgi:error] [pid 21141:tid 140145579747072] [client ::1:58930] AH01071: Got error 'PHP message: PHP Fatal error:  Uncaught Error: Call to undefined function simplexml_load_file() in /var/www/joomla-cms/libraries/joomla/language/language.php:1373\nStack
Is seems that joomla is not compatible with PHP 7.0 or am I wrong. It's possible to solve this problem?

Re: PHP Fatal Error when installing Joomla 3.5 on PHP 7

Posted: Wed Mar 30, 2016 12:34 pm
by ribo
Check in your phpinfo if you have this http://php.net/manual/en/book.simplexml.php

Re: PHP Fatal Error when installing Joomla 3.5 on PHP 7

Posted: Wed Mar 30, 2016 1:17 pm
by paulnecsoiu
Ribo you are the best. You really are a time saver.

a thousand thanks

PS: I apologize that I'm so a noob :-[

Re: [SOLVED] PHP Fatal Error when installing Joomla 3.5 on PHP 7

Posted: Fri May 13, 2016 6:57 pm
by jaestradag
I have the same proble. How did you solve ?

Re: [SOLVED] PHP Fatal Error when installing Joomla 3.5 on PHP 7

Posted: Fri May 13, 2016 7:54 pm
by toivo
jaestradag wrote:I have the same proble. How did you solve ?
Check the link to the PHP reference manual provided by ribo and check the section Requirements.

Re: [SOLVED] PHP Fatal Error when installing Joomla 3.5 on PHP 7

Posted: Fri Jun 10, 2016 10:41 am
by buf1957
People

This what I did

php -m
list modules
No SimpleXML

sudo apt-get install php7.0-simplexml

php -m

Will show
SimpleXML

Restart apache2

Joomla should start

Re: [SOLVED] PHP Fatal Error when installing Joomla 3.5 on PHP 7

Posted: Fri Jul 22, 2016 3:37 am
by levingtinoco
if you are using ubuntu server 16.04

try installing "sudo apt-get install php7.0-xml"
and restart the server "sudo service apache2 restart"

Buena suerte!

Re: [SOLVED] PHP Fatal Error when installing Joomla 3.5 on PHP 7

Posted: Fri Jul 14, 2017 1:20 am
by heisenberg
I went up to php 7.1.7 but having the same problem with Joomla 3.x once I left php 5.6.x.

This solution worked liked a charm. I invoked...

sudo apt-get install php7.1-simplexml
then
sudo service apache2 restart

and BOOM! it worked.

I am on Ubuntu 14.04 for the time being.

Thanks to all involved!

-Andrew

Re: [SOLVED] PHP Fatal Error when installing Joomla 3.5 on PHP 7

Posted: Fri Jan 25, 2019 4:52 pm
by cknederland
I am having the same issue today with the latest Joomla 3.9.2
Can someone please tell me what to do ? i have read the http://php.net/manual/en/book.simplexml.php but don't know where to start.

We are having a host from a 3rd party using Cpanel.

Thank you

Re: [SOLVED] PHP Fatal Error when installing Joomla 3.5 on PHP 7

Posted: Sun Jun 28, 2020 12:51 am
by noxidsoft
Because Google led me here, on Ubuntu 20.04 this works in 2020:

Code: Select all

sudo apt install php7.4-xml
If on Apache2, remember to restart (probably not necessary):

Code: Select all

sudo systemctl restart apache2

PHP Fatal Error when installing Joomla 3.5 on PHP 7

Posted: Mon Jun 29, 2020 2:32 pm
by leolam
cknederland wrote:
Fri Jan 25, 2019 4:52 pm
I am having the same issue today with the latest Joomla 3.9.2
You should not have this issue since you are not only seeing possible PHP-issues but have you looked how outdated your Joomla version is? We are now on Joomla 3.9.19. You are running an outdated and very vulnerable version of Joomla since your version was released on 15th of January 2019 (!!!)

Get your site management together and keep Joomla and extensions up-to-date

Leo 8)

Re: PHP Fatal Error when installing Joomla 3.5 on PHP 7

Posted: Mon Jun 29, 2020 3:08 pm
by toivo
leolam wrote:
Mon Jun 29, 2020 2:32 pm
You should not have this issue since you are not only seeing possible PHP-issues but have you looked how outdated your Joomla version is?
@leolam, that was the latest version @cknederland had available last year, two weeks after Joomla 3.9.2 was released!

Re: PHP Fatal Error when installing Joomla 3.5 on PHP 7

Posted: Mon Jun 29, 2020 3:19 pm
by leolam
toivo wrote:
Mon Jun 29, 2020 3:08 pm
@leolam, that was the latest version @cknederland had available last year, two weeks after Joomla 3.9.2 was released!
Not reading properly mea culpa....tnx for the heads-up and the correction

Leo 8)

Re: [SOLVED] PHP Fatal Error when installing Joomla 3.5 on PHP 7

Posted: Mon Jun 29, 2020 3:25 pm
by toivo
No problems, @leolam.

Re: [SOLVED] PHP Fatal Error when installing Joomla 3.5 on PHP 7

Posted: Mon Jun 29, 2020 3:30 pm
by leolam
thanks for correcting your post

Leo 8)